Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

ReplenishmentOrder

Request body fields required and optional to operate on Replenishment Order data. ReplenishmentOrder

export interface ReplenishmentOrder {
	'active'?: boolean;
	'appliedOrderPromotions'?: Array<PromotionResult>;
	'appliedProductPromotions'?: Array<PromotionResult>;
	'appliedVouchers'?: Array<Voucher>;
	'calculated'?: boolean;
	'chinesePaymentInfo'?: ChinesePaymentInfo;
	'code'?: string;
	'costCenter'?: B2BCostCenter;
	'deliveryAddress'?: Address;
	'deliveryCost'?: Price;
	'deliveryItemsQuantity'?: number;
	'deliveryMode'?: DeliveryMode;
	'deliveryOrderGroups'?: Array<DeliveryOrderEntryGroup>;
	'deliveryTimeSlot'?: DeliveryTimeSlot;
	'description'?: string;
	'earliestRetrievalAt'?: string;
	'entries'?: Array<OrderEntry>;
	'entryGroups'?: Array<EntryGroup>;
	'expirationTime'?: string;
	'firstDate'?: string;
	'guid'?: string;
	'name'?: string;
	'net'?: boolean;
	'orderDiscounts'?: Price;
	'paymentInfo'?: PaymentDetails;
	'paymentStatus'?: string;
	'paymentType'?: B2BPaymentTypeData;
	'pickupItemsQuantity'?: number;
	'pickupOrderGroups'?: Array<PickupOrderEntryGroup>;
	'potentialOrderPromotions'?: Array<PromotionResult>;
	'potentialProductPromotions'?: Array<PromotionResult>;
	'productDiscounts'?: Price;
	'purchaseOrderNumber'?: string;
	'replenishmentOrderCode': string;
	'requestedRetrievalAt'?: string;
	'savedBy'?: Principal;
	'saveTime'?: string;
	'site'?: string;
	'store'?: string;
	'subTotal'?: Price;
	'taxInvoice'?: TaxInvoice;
	'totalDiscounts'?: Price;
	'totalItems'?: number;
	'totalPrice'?: Price;
	'totalPriceWithTax'?: Price;
	'totalTax'?: Price;
	'totalUnitCount'?: number;
	'trigger'?: Trigger;
	'user'?: Principal;
}

Properties

NameRequiredTypeDescription
activeOptionalbooleanIs the Replenishment Order active {boolean} ReplenishmentOrder
appliedOrderPromotionsOptionalArray<PromotionResult>List of applied order promotions {Array<PromotionResult>} ReplenishmentOrder
appliedProductPromotionsOptionalArray<PromotionResult>List of applied product promotions {Array<PromotionResult>} ReplenishmentOrder
appliedVouchersOptionalArray<Voucher>List of applied vouchers {Array<Voucher>} ReplenishmentOrder
calculatedOptionalbooleanFlag showing if order is calculated {boolean} ReplenishmentOrder
chinesePaymentInfoOptionalChinesePaymentInfo{ChinesePaymentInfo} ReplenishmentOrder
codeOptionalstringCode number of order {string} ReplenishmentOrder
costCenterOptionalB2BCostCenter{B2BCostCenter} ReplenishmentOrder
deliveryAddressOptionalAddress{Address} ReplenishmentOrder
deliveryCostOptionalPrice{Price} ReplenishmentOrder
deliveryItemsQuantityOptionalnumberQuantity of delivery items {number} ReplenishmentOrder
deliveryModeOptionalDeliveryMode{DeliveryMode} ReplenishmentOrder
deliveryOrderGroupsOptionalArray<DeliveryOrderEntryGroup>List of delivery order entries group {Array<DeliveryOrderEntryGroup>} ReplenishmentOrder
deliveryTimeSlotOptionalDeliveryTimeSlot{DeliveryTimeSlot} ReplenishmentOrder
descriptionOptionalstringDescription of the cart {string} ReplenishmentOrder
earliestRetrievalAtOptionalstringEarliest possible retrieval date available for order {string} ReplenishmentOrder
entriesOptionalArray<OrderEntry>List of order entries {Array<OrderEntry>} ReplenishmentOrder
entryGroupsOptionalArray<EntryGroup>List of entry groups {Array<EntryGroup>} ReplenishmentOrder
expirationTimeOptionalstringDate of cart expiration time {string} ReplenishmentOrder
firstDateOptionalstringFirst date of the replenishment order {string} ReplenishmentOrder
guidOptionalstringGuest user id identifier {string} ReplenishmentOrder
nameOptionalstringName of the cart {string} ReplenishmentOrder
netOptionalbooleanFlag stating iv value is net-value {boolean} ReplenishmentOrder
orderDiscountsOptionalPrice{Price} ReplenishmentOrder
paymentInfoOptionalPaymentDetails{PaymentDetails} ReplenishmentOrder
paymentStatusOptionalstringPayment status {string} ReplenishmentOrder
paymentTypeOptionalB2BPaymentTypeData{B2BPaymentTypeData} ReplenishmentOrder
pickupItemsQuantityOptionalnumberQuantity of pickup items {number} ReplenishmentOrder
pickupOrderGroupsOptionalArray<PickupOrderEntryGroup>List of pickup order entry group {Array<PickupOrderEntryGroup>} ReplenishmentOrder
potentialOrderPromotionsOptionalArray<PromotionResult>List of potential order promotions for cart {Array<PromotionResult>} ReplenishmentOrder
potentialProductPromotionsOptionalArray<PromotionResult>List of potential product promotions for cart {Array<PromotionResult>} ReplenishmentOrder
productDiscountsOptionalPrice{Price} ReplenishmentOrder
purchaseOrderNumberOptionalstring{string} ReplenishmentOrder
replenishmentOrderCodeRequiredstringUnique code for the replenishment order {string} ReplenishmentOrder
requestedRetrievalAtOptionalstringCustomer requested date for order retrieval {string} ReplenishmentOrder
savedByOptionalPrincipal{Principal} ReplenishmentOrder
saveTimeOptionalstringDate of saving cart {string} ReplenishmentOrder
siteOptionalstringSite {string} ReplenishmentOrder
storeOptionalstringStore {string} ReplenishmentOrder
subTotalOptionalPrice{Price} ReplenishmentOrder
taxInvoiceOptionalTaxInvoice{TaxInvoice} ReplenishmentOrder
totalDiscountsOptionalPrice{Price} ReplenishmentOrder
totalItemsOptionalnumber{number} ReplenishmentOrder
totalPriceOptionalPrice{Price} ReplenishmentOrder
totalPriceWithTaxOptionalPrice{Price} ReplenishmentOrder
totalTaxOptionalPrice{Price} ReplenishmentOrder
totalUnitCountOptionalnumberTotal unit count {number} ReplenishmentOrder
triggerOptionalTrigger{Trigger} ReplenishmentOrder
userOptionalPrincipal{Principal} ReplenishmentOrder

Referenced Types

On this page